Query a donation by ID via the API.
API Key API key used for authentication
In: header
Donation ID
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidapplication/json
application/json
curl -X GET "https://example.com/donation/getById?id=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "00000000-0000-0000-0000-000000000000", "userId": "test-user-id", "amount": 1000, "currency": "usd", "stripePaymentIntentId": "pi_test_123", "donorEmail": "donor@example.com", "donorName": "John Doe", "message": "Great content!", "paymentMethodLast4": "4242", "country": "US", "discordUserId": null, "discordRoleAssigned": false, "createdAt": "2026-07-15T21:26:44.879Z"}{ "error": "string", "code": "string", "details": null}